import request from '@/utils/request'

// 查询物料类别管理列表
export function listGoodsType(query) {
  return request({
    url: '/system/goodsType/list',
    method: 'get',
    params: query
  })
}

// 查询物料类别管理详细
export function getGoodsType(typeId) {
  return request({
    url: '/system/goodsType/' + typeId,
    method: 'get'
  })
}

// 新增物料类别管理
export function addGoodsType(data) {
  return request({
    url: '/system/goodsType',
    method: 'post',
    data: data
  })
}

// 修改物料类别管理
export function updateGoodsType(data) {
  return request({
    url: '/system/goodsType',
    method: 'put',
    data: data
  })
}

// 删除物料类别管理
export function delGoodsType(typeId) {
  return request({
    url: '/system/goodsType/' + typeId,
    method: 'delete'
  })
}
